﻿import es
import gamethread
import cfglib




config = cfglib.AddonCFG(es.getAddonPath("overlay") + "/settings.cfg")
config.text("**************************")
config.text("Addon Settings    ")
config.text("**************************")
CTPath = config.cvar("CTPath",   'overlays/yourctoverlay.vtf', "Path to the CT overlay (without cstrike/materials)")
TPath = config.cvar("TPath",   'overlays/yourtoverlay.vtf', "Path to the T overlay (without cstrike/materials)")
Time = config.cvar("Time",   4, "How long should be the Overlay shown?")
config.write()


def load():
	config.execute()
	download()

def es_map_start(ev):
	download()

def round_end(ev):
	winner = ev['winner']
	if winner == '2':
		es.cexec_all('r_screenoverlay', TPath)
		gamethread.delayed(Time, stop, ())
	elif winner == '3':
		es.cexec_all('r_screenoverlay', CTPath)
		gamethread.delayed(Time, stop, ())

def stop():
	es.cexec_all('r_screenoverlay', 'null')

def download():
	es.stringtable('downloadables', 'materials/%s' %(CTPath))
	es.stringtable('downloadables', 'materials/%s' %(CTPath.replace('vtf', 'vmt')))
	es.stringtable('downloadables', 'materials/%s' %(TPath))
	es.stringtable('downloadables', 'materials/%s' %(TPath.replace('vtf', 'vmt')))